<template>
  <div class="tenant-class">
    <CollapseContainer title="租户配置设置">
      <BasicForm @register="registerForm" />
    </CollapseContainer>
  </div>
</template>
<script lang="ts">
  import { defineComponent, ref } from 'vue';
  import { BasicForm, useForm } from '/@/components/Form';
  import { formSchema } from './config';
  import { CollapseContainer } from '/@/components/Container/index';

  export default defineComponent({
    name: 'Index',
    components: { BasicForm, CollapseContainer },
    emits: ['success', 'register', 'funcResetFields'],
    setup() {
      const getValueData: any = ref({});
      const [registerForm, { getFieldsValue, resetFields, setFieldsValue }] = useForm({
        schemas: formSchema,
        showActionButtonGroup: false,
      });
      const setFieldsValueFunc = (v) => {
        setFieldsValue(v);
      };
      function getAllFields(getV) {
        const values = getFieldsValue();
        getValueData.value = values;
        getV = getValueData.value;
        return getV;
      }
      function funcResetFields() {
        resetFields();
      }
      return {
        setFieldsValueFunc,
        funcResetFields,
        getAllFields,
        registerForm,
      };
    },
  });
</script>
<style lang="less" scoped>
  .tenant-class {
    :deep .ant-input-number {
      width: 16vw !important;
    }
  }
</style>
